La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const warehouse = await lapyme.warehouses.updateWarehouse({
warehouseId: "9c692e8b-0f9a-4f7c-8b99-061a2eb188ae",
body: {
name: "Deposito central",
address: "Av. Corrientes 1234",
},
});
curl --request PUT \
--url https://api.lapyme.com.ar/api/v1/warehouses/{warehouse_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"address": "<string>",
"is_default": true
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/warehouses/{warehouse_id}"
payload = {
"name": "<string>",
"address": "<string>",
"is_default": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', address: '<string>', is_default: true})
};
fetch('https://api.lapyme.com.ar/api/v1/warehouses/{warehouse_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"warehouse": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": "<string>",
"is_default": true,
"is_active": true
}
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_warehouse_update_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request for updating warehouses",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_warehouse_update_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_warehouse_update_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_warehouse_update_1",
"error": {
"code": "NOT_FOUND",
"message": "Warehouse not found",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_warehouse_update_1",
"error": {
"code": "CONFLICT",
"message": "A warehouse with this name already exists",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_warehouse_update_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not update the warehouse",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Actualizar depósito
Actualiza un depósito y devuelve el detalle persistido.
PUT
/
api
/
v1
/
warehouses
/
{warehouse_id}
La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const warehouse = await lapyme.warehouses.updateWarehouse({
warehouseId: "9c692e8b-0f9a-4f7c-8b99-061a2eb188ae",
body: {
name: "Deposito central",
address: "Av. Corrientes 1234",
},
});
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
ID opcional de la solicitud para trazabilidad. Si se omite, el servidor genera uno.
Path Parameters
ID del depósito
Was this page helpful?
⌘I

